Bug 249761 - Review Request: funionfs - Union filesystem in userspace using FUSE
Summary: Review Request: funionfs - Union filesystem in userspace using FUSE
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-26 20:57 UTC by Jeff Law
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-01 17:58:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jeff Law 2007-07-26 20:57:57 UTC
Spec URL: http://people.redhat.com/~law/funionfs.spec
SRPM URL: http://people.redhat.com/~law/funionfs-0.4.3-1.src.rpm
Description: FunionFS implements a union filesystem in userspace using FUSE.  FUSE
provides a Linux kernel module which allows virtual filesystems to be written
in userspace.

Comment 1 Parag AN(पराग) 2007-07-27 08:53:42 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMs.
+ source files match upstream.
0cc320624b335a68847c447c9625410b  funionfs-0.4.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets used.
+ Requires: fuse >= 2.5 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libfuse.so.2 libfuse.so.2(FUSE_2.2) libfuse.so.2(FUSE_2.5)
libfuse.so.2(FUSE_2.6) rtld(GNU_HASH)
+ Not a GUI App.
APPROVED.


Comment 2 Jeff Law 2007-07-30 16:15:03 UTC
First package, thus I need a sponsor.  Sorry that information wasn't included in
the original submission.

Comment 3 Jeff Law 2007-07-31 17:04:10 UTC
New Package CVS Request
=======================
Package Name: funionfs
Short Description: Union filesystem in user space
Owners: Jeff Law
Branches: F7
InitialCC: law@redhat.com

Comment 4 Kevin Fenzi 2007-07-31 18:24:55 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.